# Method Image.GIF.decode()

Method decode

  ```object`` decode(`string` `data`)`
  ```object`` decode(`array` `_decoded`)`
  ```object`` decode(`array` `__decoded`)`

Description

  Decodes GIF data and creates an image object.

Returns

  the decoded image as an image object

Note

  This function may throw errors upon illegal GIF data. This function uses __decode, _decode, Image.Image->paste and Image.Image->paste_alpha internally.

See also

  encode